Bug 218814 - sysutils/graylog: update 2.2.2 -> 2.2.3 and fix daemon handling
Summary: sysutils/graylog: update 2.2.2 -> 2.2.3 and fix daemon handling
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-22 14:13 UTC by Dave Cottlehuber
Modified: 2017-05-31 17:34 UTC (History)
3 users (show)

See Also:
thomas: maintainer-feedback+


Attachments
v1 patch incomplete (3.79 KB, patch)
2017-04-22 14:13 UTC, Dave Cottlehuber
no flags Details | Diff
v2 patch with local logfiles (49.81 KB, patch)
2017-04-24 22:14 UTC, Dave Cottlehuber
no flags Details | Diff
v3 patch fixes double --no-pid-file fail (49.79 KB, patch)
2017-04-26 18:26 UTC, Dave Cottlehuber
dch: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2017-04-22 14:13:04 UTC
Created attachment 182001 [details]
v1 patch incomplete

# Changes

- bump version to 2.2.3
- previous daemon script would not actually stop graylog so lets steal the net-mgmt/riemann rc.d script
- merge in some more JVM tuning

The new rc.d script uses daemon(8) which ensures graylog starts & stops cleanly
however console output is lost.

The current rc.d script has a configurable log file parameter which clearly doesn't do anything at all. AFAICT we should add:
    -Dlog4j.configurationFile=${graylog_log_file}
to our java_options, and then have a valid  log4j xml file, but that escapes
me for the moment. See http://logging.apache.org/log4j/2.x/ &
http://docs.graylog.org/en/2.2/pages/configuration/file_location.html#default-file-location
for more info. I'm sure we can get graylog to do this directly so expect an updated patch once upstream helps me out with the info.

# QA

- portlint OK
  WARN: Makefile: possible use of absolute pathname "/var/db/graylog".

- tested on 11.0Rp8 amd64 and 12.0-CURRENT amd64
- poudriere run OK on 10.3/11.0 both i386/amd64
Comment 1 Dave Cottlehuber freebsd_committer 2017-04-24 22:14:33 UTC
Created attachment 182061 [details]
v2 patch with local logfiles

# QA

- works on 12.0-CURRENT/amd64 and 11.0Rp8/amd64
- portlint OK (2 WARNs)
WARN: Makefile: possible use of absolute pathname "/var/db/graylog".
WARN: Makefile: possible use of absolute pathname "/var/log/graylog"

- poudriere matrix OK for 11.0/10.3 amd64+i386 

# commit message

sysutils/graylog: update 2.2.2 -> 2.2.3

- fix rc.d start/stop using daemon(8)
- ensure java version matches app requirements
- fix logging by using log4j2 correctly
- tweak JVM options for great good
- add single node usage notes to pkg-message
Comment 2 Dave Cottlehuber freebsd_committer 2017-04-26 18:26:37 UTC
Created attachment 182109 [details]
v3 patch fixes double --no-pid-file fail

We should be good to go here; I screwed up moving the patch from git to svn,
inadvertently left in a --no-pid-file line in the JVM options which blocks
the service from starting at all.
Comment 3 commit-hook freebsd_committer 2017-05-31 17:32:54 UTC
A commit references this bug:

Author: girgen
Date: Wed May 31 17:31:53 UTC 2017
New revision: 442244
URL: https://svnweb.freebsd.org/changeset/ports/442244

Log:
  Update to 2.2.3 and fix daemon handling

  PR:		218814
  Submitted by:	Dave Cottlehuber
  Approved by:	maintainer

Changes:
  head/sysutils/graylog/Makefile
  head/sysutils/graylog/distinfo
  head/sysutils/graylog/files/graylog.in
  head/sysutils/graylog/files/log4j2.xml.in
  head/sysutils/graylog/files/pkg-message.in
  head/sysutils/graylog/files/server.conf.in
  head/sysutils/graylog/files/server.conf.sample.in
  head/sysutils/graylog/pkg-plist
Comment 4 Palle Girgensohn freebsd_committer 2017-05-31 17:34:04 UTC
I missed the great commit message, sorry about that!

Committed. Thanks!